Bug 827511 - [abrt] mysql-workbench-5.2.38-2.fc17: __GI_exit: Process /usr/bin/mysql-workbench-bin was killed by signal 11 (SIGSEGV)
[abrt] mysql-workbench-5.2.38-2.fc17: __GI_exit: Process /usr/bin/mysql-workb...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: mysql-workbench (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Remi Collet
Fedora Extras Quality Assurance
abrt_hash:9d22524d3191f1c1b4df7af1960...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-01 12:23 EDT by Shailender
Modified: 2012-08-29 06:40 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-29 06:40:12 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (46.25 KB, text/plain)
2012-06-01 12:23 EDT, Shailender
no flags Details
File: maps (74.31 KB, text/plain)
2012-06-01 12:23 EDT, Shailender
no flags Details
File: dso_list (15.72 KB, text/plain)
2012-06-01 12:23 EDT, Shailender
no flags Details
File: build_ids (6.09 KB, text/plain)
2012-06-01 12:23 EDT, Shailender
no flags Details

  None (edit)
Description Shailender 2012-06-01 12:23:32 EDT
libreport version: 2.0.10
abrt_version:   2.0.10
backtrace_rating: 4
cmdline:        /usr/bin/mysql-workbench-bin
comment:        Error while closing the application
crash_function: __GI_exit
executable:     /usr/bin/mysql-workbench-bin
kernel:         3.3.7-1.fc17.x86_64
pid:            4469
pwd:            /home/sthakur
time:           Fri 01 Jun 2012 12:17:23 PM EDT
uid:            1001
username:       sthakur
var_log_messages: Jun  1 12:17:23 ideapad abrt[4967]: Saved core dump of pid 4469 (/usr/bin/mysql-workbench-bin) to /var/spool/abrt/ccpp-2012-06-01-12:17:23-4469 (48103424 bytes)

backtrace:      Text file, 47358 bytes
build_ids:      Text file, 6232 bytes
dso_list:       Text file, 16102 bytes
maps:           Text file, 76096 bytes

cgroup:
:9:perf_event:/
:8:blkio:/
:7:net_cls:/
:6:freezer:/
:5:devices:/
:4:memory:/
:3:cpuacct,cpu:/
:2:cpuset:/
:1:name=systemd:/user/sthakur/2

core_backtrace:
:8568e11bef79abaf14513d18a8559282d8dad34a 0x6170f g_slice_alloc libglib-2.0.so.0 -
:8568e11bef79abaf14513d18a8559282d8dad34a 0x6246e g_slist_prepend libglib-2.0.so.0 -
:d50284b66d63e0cc3f25b4c2ea9e7476d82ec292 0x1469b - libgobject-2.0.so.0 -
:d50284b66d63e0cc3f25b4c2ea9e7476d82ec292 0x15871 g_object_notify libgobject-2.0.so.0 -
:f6d72221cbd08cb36bb88823d33deb2024f2bee3 0x284a18 gtk_widget_unparent libgtk-x11-2.0.so.0 -
:f6d72221cbd08cb36bb88823d33deb2024f2bee3 0x1bb157 - libgtk-x11-2.0.so.0 -
:d50284b66d63e0cc3f25b4c2ea9e7476d82ec292 0xf5a3 g_closure_invoke libgobject-2.0.so.0 -
:d50284b66d63e0cc3f25b4c2ea9e7476d82ec292 0x209c5 - libgobject-2.0.so.0 -
:d50284b66d63e0cc3f25b4c2ea9e7476d82ec292 0x2866d g_signal_emit_valist libgobject-2.0.so.0 -
:d50284b66d63e0cc3f25b4c2ea9e7476d82ec292 0x287c2 g_signal_emit libgobject-2.0.so.0 -
:f6d72221cbd08cb36bb88823d33deb2024f2bee3 0x17a70e - libgtk-x11-2.0.so.0 -
:d50284b66d63e0cc3f25b4c2ea9e7476d82ec292 0x156d1 g_object_run_dispose libgobject-2.0.so.0 -
:f6d72221cbd08cb36bb88823d33deb2024f2bee3 0x86212 - libgtk-x11-2.0.so.0 -
:f6d72221cbd08cb36bb88823d33deb2024f2bee3 0xc1e57 - libgtk-x11-2.0.so.0 -
:d50284b66d63e0cc3f25b4c2ea9e7476d82ec292 0xf5a3 g_closure_invoke libgobject-2.0.so.0 -
:d50284b66d63e0cc3f25b4c2ea9e7476d82ec292 0x209c5 - libgobject-2.0.so.0 -
:d50284b66d63e0cc3f25b4c2ea9e7476d82ec292 0x2866d g_signal_emit_valist libgobject-2.0.so.0 -
:d50284b66d63e0cc3f25b4c2ea9e7476d82ec292 0x287c2 g_signal_emit libgobject-2.0.so.0 -
:f6d72221cbd08cb36bb88823d33deb2024f2bee3 0x17a70e - libgtk-x11-2.0.so.0 -
:d50284b66d63e0cc3f25b4c2ea9e7476d82ec292 0x156d1 g_object_run_dispose libgobject-2.0.so.0 -
:f6d72221cbd08cb36bb88823d33deb2024f2bee3 0x108445 - libgtk-x11-2.0.so.0 -
:f6d72221cbd08cb36bb88823d33deb2024f2bee3 0xc1e57 - libgtk-x11-2.0.so.0 -
:d50284b66d63e0cc3f25b4c2ea9e7476d82ec292 0xf5a3 g_closure_invoke libgobject-2.0.so.0 -
:d50284b66d63e0cc3f25b4c2ea9e7476d82ec292 0x209c5 - libgobject-2.0.so.0 -
:d50284b66d63e0cc3f25b4c2ea9e7476d82ec292 0x2866d g_signal_emit_valist libgobject-2.0.so.0 -
:d50284b66d63e0cc3f25b4c2ea9e7476d82ec292 0x287c2 g_signal_emit libgobject-2.0.so.0 -
:f6d72221cbd08cb36bb88823d33deb2024f2bee3 0x17a70e - libgtk-x11-2.0.so.0 -
:d50284b66d63e0cc3f25b4c2ea9e7476d82ec292 0x156d1 g_object_run_dispose libgobject-2.0.so.0 -
:f6d72221cbd08cb36bb88823d33deb2024f2bee3 0xc1e57 - libgtk-x11-2.0.so.0 -
:d50284b66d63e0cc3f25b4c2ea9e7476d82ec292 0xf664 g_closure_invoke libgobject-2.0.so.0 -
:d50284b66d63e0cc3f25b4c2ea9e7476d82ec292 0x209c5 - libgobject-2.0.so.0 -
:d50284b66d63e0cc3f25b4c2ea9e7476d82ec292 0x2866d g_signal_emit_valist libgobject-2.0.so.0 -
:d50284b66d63e0cc3f25b4c2ea9e7476d82ec292 0x287c2 g_signal_emit libgobject-2.0.so.0 -
:f6d72221cbd08cb36bb88823d33deb2024f2bee3 0x17a70e - libgtk-x11-2.0.so.0 -
:d50284b66d63e0cc3f25b4c2ea9e7476d82ec292 0x156d1 g_object_run_dispose libgobject-2.0.so.0 -
:f6d72221cbd08cb36bb88823d33deb2024f2bee3 0xd871a - libgtk-x11-2.0.so.0 -
:d50284b66d63e0cc3f25b4c2ea9e7476d82ec292 0x145db g_object_unref libgobject-2.0.so.0 -
:ce5f8168d90900f6b00c82fc460a2a7f0712abd4 0xb721f AutoCompletable::~AutoCompletable() db.mysql.editors.wbp.so -
:a4ec59d7fc9c453fb4287d7ebc5fcf6579792e65 0x38bb1 __run_exit_handlers libc.so.6 -
:a4ec59d7fc9c453fb4287d7ebc5fcf6579792e65 0x38c35 exit libc.so.6 -

environ:
:LD_PRELOAD=/$LIB/libSegFault.so
:SEGFAULT_OUTPUT_NAME=/tmp/segv_output.uQEpGW
:SEGFAULT_USE_ALTSTACK=1
:XDG_VTNR=1
:XDG_SESSION_ID=2
:SSH_AGENT_PID=1309
:HOSTNAME=ideapad
:IMSETTINGS_INTEGRATE_DESKTOP=yes
:GPG_AGENT_INFO=/home/sthakur/.gnupg/S.gpg-agent:1337:1
:GLADE_PIXMAP_PATH=:
:XDG_MENU_PREFIX=xfce-
:TERM=dumb
:SHELL=/bin/bash
:HISTSIZE=1000
:XDG_SESSION_COOKIE=69f877f43bb53ea15c13e03a00000013-1338561971.763784-338458906
:QTDIR=/usr/lib64/qt-3.3
:GNOME_KEYRING_CONTROL=/run/user/sthakur/keyring-FP0hEf
:QTINC=/usr/lib64/qt-3.3/include
:QT_GRAPHICSSYSTEM_CHECKED=1
:IMSETTINGS_MODULE=none
:USER=sthakur
:LD_LIBRARY_PATH=/usr/lib64/mysql-workbench
:GLADE_MODULE_PATH=:
:SSH_AUTH_SOCK=/tmp/ssh-vGqipTiT1178/agent.1178
:USERNAME=sthakur
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/1346,unix/unix:/tmp/.ICE-unix/1346
:XDG_CONFIG_DIRS=/etc/xdg
:MAIL=/var/spool/mail/sthakur
:DESKTOP_SESSION=xfce
:PATH=/usr/lib64/qt-3.3/bin:/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:/opt/jdk1.6.0_32/bin:/opt/apache-maven-2.2.1/bin:/home/sthakur/.local/bin:/home/sthakur/bin:/usr/share/mysql-workbench/python
:QT_IM_MODULE=xim
:PWD=/home/sthakur
:JAVA_HOME=/opt/jdk1.6.0_32
:XMODIFIERS=@im=none
:LANG=en_US.UTF-8
:GNOME_KEYRING_PID=1176
:MWB_PLUGIN_DIR=/usr/lib64/mysql-workbench/plugins
:'MYSQL_UTILITIES_COMMANDS=mysqluserclone mysqlserverinfo mysqldbcopy mysqldiskusage mysqlprocgrep mysqlmetagrep mysqldiff mysqldbexport mysqldbcompare mysqlserverclone mysqlindexcheck mysqlreplicate mysqldbimport mysqlrplcheck'
:MWB_DATA_DIR=/usr/share/mysql-workbench
:GDMSESSION=xfce
:SSH_ASKPASS=/usr/libexec/openssh/gnome-ssh-askpass
:HISTCONTROL=ignoredups
:SHLVL=4
:HOME=/home/sthakur
:XDG_SEAT=seat0
:DBC_DRIVER_PATH=/usr/lib64/mysql-workbench
:LOGNAME=sthakur
:PYTHONPATH=/usr/share/mysql-workbench/python
:QTLIB=/usr/lib64/qt-3.3/lib
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-Kg2k7wCBG9,guid=caee3527a9f73e64c8a6ccd400000135
:XDG_DATA_DIRS=/usr/local/share:/usr/share
:MWB_MODULE_DIR=/usr/lib64/mysql-workbench/modules
:MWB_LIBRARY_DIR=/usr/share/mysql-workbench/libraries
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:WINDOWPATH=1
:XDG_RUNTIME_DIR=/run/user/sthakur
:DISPLAY=:0.0
:GLADE_CATALOG_PATH=:
:LIBGLADE_MODULE_PATH=:
:XAUTHORITY=/var/run/gdm/auth-for-sthakur-7QDRnu/database
:_=/usr/bin/mysql-workbench-bin

limits:
:Limit                     Soft Limit           Hard Limit           Units     
:Max cpu time              unlimited            unlimited            seconds   
:Max file size             unlimited            unlimited            bytes     
:Max data size             unlimited            unlimited            bytes     
:Max stack size            8388608              unlimited            bytes     
:Max core file size        0                    unlimited            bytes     
:Max resident set          unlimited            unlimited            bytes     
:Max processes             1024                 45992                processes 
:Max open files            1024                 4096                 files     
:Max locked memory         65536                65536                bytes     
:Max address space         unlimited            unlimited            bytes     
:Max file locks            unlimited            unlimited            locks     
:Max pending signals       45992                45992                signals   
:Max msgqueue size         819200               819200               bytes     
:Max nice priority         0                    0                    
:Max realtime priority     0                    0                    
:Max realtime timeout      unlimited            unlimited            us        

open_fds:
:0:/dev/null
:pos:	0
:flags:	0100000
:1:/home/sthakur/.xsession-errors
:pos:	4200
:flags:	0102002
:2:/home/sthakur/.xsession-errors
:pos:	4200
:flags:	0102002
:3:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:4:pipe:[72310]
:pos:	0
:flags:	02000000
:5:pipe:[72310]
:pos:	0
:flags:	02000001
:6:socket:[79957]
:pos:	0
:flags:	02004002
:7:socket:[72312]
:pos:	0
:flags:	02004002
:8:anon_inode:inotify
:pos:	0
:flags:	02004000
:9:socket:[84245]
:pos:	0
:flags:	02004002
:10:/dev/urandom
:pos:	0
:flags:	02100000
:11:/dev/urandom
:pos:	0
:flags:	02100000
:12:/usr/share/mysql-workbench/sshtunnel.py
:pos:	15726
:flags:	0100000
:13:/tmp/segv_output.uQEpGW
:pos:	79946
:flags:	0100001

smolt_data:
:
:
:General
:=================================
:UUID: 58c0c35c-fa4d-4731-a851-de9ff22715f8
:OS: Fedora release 17 (Beefy Miracle)
:Default run level: Unknown
:Language: en_US.UTF-8
:Platform: x86_64
:BogoMIPS: 5053.96
:CPU Vendor: GenuineIntel
:CPU Model: Intel(R) Core(TM) i5 CPU       M 460  @ 2.53GHz
:CPU Stepping: 5
:CPU Family: 6
:CPU Model Num: 37
:Number of CPUs: 4
:CPU Speed: 2534
:System Memory: 5768
:System Swap: 4023
:Vendor: LENOVO
:System: IdeaPad Y560 Rev 1.0
:Form factor: Notebook
:Kernel: 3.3.7-1.fc17.x86_64
:SELinux Enabled: 1
:SELinux Policy: targeted
:SELinux Enforce: Enforcing
:MythTV Remote: Unknown
:MythTV Role: Unknown
:MythTV Theme: Unknown
:MythTV Plugin: 
:MythTV Tuner: -1
:
:
:Devices
:=================================
:(32902:68:6058:14622) pci, agpgart-intel, HOST/PCI, Core Processor DRAM Controller
:(32902:15152:6058:14527) pci, None, SERIAL, 5 Series/3400 Series Chipset SMBus Controller
:(32902:15145:6058:14529) pci, ahci, STORAGE, 5 Series/3400 Series Chipset 4 port SATA AHCI Controller
:(32902:15113:6058:14526) pci, None, PCI/ISA, Mobile 5 Series Chipset LPC Interface Controller
:(32902:15154:6058:14528) pci, intel ips, NONE, 5 Series/3400 Series Chipset Thermal Subsystem
:(5348:5778:6058:14543) pci, tg3, ETHERNET, NetLink BCM57780 Gigabit Ethernet PCIe
:(32902:9288:6058:14399) pci, None, PCI/PCI, 82801 Mobile PCI Bridge
:(32902:15164:6058:14506) pci, ehci_hcd, USB, 5 Series/3400 Series Chipset USB2 Enhanced Host Controller
:(32902:15156:6058:14520) pci, ehci_hcd, USB, 5 Series/3400 Series Chipset USB2 Enhanced Host Controller
:(32902:15204:6058:8543) pci, None, SIMPLE, 5 Series/3400 Series Chipset HECI Controller
:(6523:9096:6058:14627) pci, jmb38x_ms, BASE, MS Host Controller
:(6523:9094:6058:14626) pci, sdhci-pci, BASE, Standard SD Host Controller
:(6523:9095:6058:14625) pci, None, BASE, SD/MMC Host Controller
:(6523:9097:6058:14628) pci, None, BASE, xD Host Controller
:(32902:70:6058:14624) pci, i915, VIDEO, Core Processor Integrated Graphics Controller
:(32902:15176:6058:14515) pci, pcieport, PCI/PCI, 5 Series/3400 Series Chipset PCI Express Root Port 4
:(32902:15170:6058:14512) pci, pcieport, PCI/PCI, 5 Series/3400 Series Chipset PCI Express Root Port 1
:(32902:15172:6058:14513) pci, pcieport, PCI/PCI, 5 Series/3400 Series Chipset PCI Express Root Port 2
:(32902:15178:6058:14516) pci, pcieport, PCI/PCI, 5 Series/3400 Series Chipset PCI Express Root Port 5
:(32902:15190:6058:14511) pci, snd_hda_intel, MULTIMEDIA, 5 Series/3400 Series Chipset High Definition Audio
:(32902:11521:32902:32902) pci, None, HOST/PCI, Core Processor QuickPath Architecture System Address Decoder
:(32902:11362:32902:32902) pci, None, HOST/PCI, Core Processor QuickPath Architecture Generic Non-core Registers
:(32902:15174:6058:14514) pci, pcieport, PCI/PCI, 5 Series/3400 Series Chipset PCI Express Root Port 3
:(5772:43:6058:12449) pci, ath9k, NETWORK, AR9285 Wireless Network Adapter (PCI-Express)
:(32902:11537:32902:32902) pci, None, HOST/PCI, Core Processor QPI Physical 0
:(32902:11536:32902:32902) pci, None, HOST/PCI, Core Processor QPI Link 0
:(32902:11539:32902:32902) pci, None, HOST/PCI, Core Processor Reserved
:(32902:11538:32902:32902) pci, None, HOST/PCI, Core Processor Reserved
:
:
:Filesystem Information
:=================================
:device mtpt type bsize frsize blocks bfree bavail file ffree favail
:-------------------------------------------------------------------
:/dev/sda13 / ext4 4096 4096 15710677 12858660 12701413 3932160 3690246 3690246
:/dev/sda5 WITHHELD fuseblk 4096 4096 15803935 5761961 5761961 23113380 23094773 23094773
:

xsession_errors:
:00400000-00ef3000 r-xp 00000000 08:0d 24374 /usr/bin/mysql-workbench-bin
:010f3000-010f4000 r--p 00af3000 08:0d 24374 /usr/bin/mysql-workbench-bin
:010f4000-010fe000 rw-p 00af4000 08:0d 24374 /usr/bin/mysql-workbench-bin
:012fd000-015db000 rw-p 00afd000 08:0d 24374 /usr/bin/mysql-workbench-bin
Comment 1 Shailender 2012-06-01 12:23:38 EDT
Created attachment 588532 [details]
File: backtrace
Comment 2 Shailender 2012-06-01 12:23:40 EDT
Created attachment 588533 [details]
File: maps
Comment 3 Shailender 2012-06-01 12:23:41 EDT
Created attachment 588534 [details]
File: dso_list
Comment 4 Shailender 2012-06-01 12:23:43 EDT
Created attachment 588535 [details]
File: build_ids
Comment 5 Stan King 2012-06-18 15:29:13 EDT
I was trying to exit mysql-workbench after creating the first user of my mysql installation.

backtrace_rating: 4
Package: mysql-workbench-5.2.40-1.fc17
OS Release: Fedora release 17 (Beefy Miracle)
Comment 6 Stan King 2012-06-18 15:58:09 EDT
Further details on the incident reported in comment #5: I had chosen "Exit" from the "File" pull-down menu.
Comment 7 Jonathan Gazeley 2012-06-21 09:39:10 EDT
Was using mysql-workbench as normal. When I finished, I quit by clicking the cross in the top corner. It crashed.

backtrace_rating: 4
Package: mysql-workbench-5.2.40-1.fc17
OS Release: Fedora release 17 (Beefy Miracle)
Comment 8 hywel 2012-07-14 15:22:28 EDT
1 Create a new Model
2 Add a Diagram (do nothing)
3 Close the  Diagram tab
4 Close the Model Tab
5 :-( you get the crash


backtrace_rating: 4
Package: mysql-workbench-5.2.40-1.fc17
OS Release: Fedora release 17 (Beefy Miracle)
Comment 9 david.lewis 2012-07-26 16:53:44 EDT
Closed it	

backtrace_rating: 4
Package: mysql-workbench-5.2.40-1.fc17
OS Release: Fedora release 17 (Beefy Miracle)
Comment 10 Remi Collet 2012-08-29 06:40:12 EDT
mysql-workbench-5.2.42-2.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/mysql-workbench-5.2.42-2.fc17

Note You need to log in before you can comment on or make changes to this bug.